openshot::InvalidFormat Class Reference

Exception when no valid format is found for a file. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidFormat:

## Public Member Functions

| InvalidFormat (string message, string file_path)
virtual | ~InvalidFormat () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when no valid format is found for a file.

Definition at line 142 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidFormat()

openshot::InvalidFormat::InvalidFormat | ( | string | message,
|  | string | file_path
| ) |  |

inline

Definition at line 146 of file Exceptions.h.

## ~InvalidFormat()

virtual openshot::InvalidFormat::~InvalidFormat | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 148 of file Exceptions.h.

## Member Data Documentation

## file_path

string openshot::InvalidFormat::file_path

Definition at line 145 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h